/*
	Engineering Test: Boggle Solver
	Gordon Lee

*******************************************************************************

	@filename	main.cpp

	@description
		File containing the main function and initializes and creates the application window with run loop

	@author		Gordon Lee
*/

// Includes
#include "cApplication.h"

////////////////////////////////////////////////////////////////////////////////
int WINAPI WinMain(HINSTANCE _hInstance, HINSTANCE, LPSTR, int)
{
	// Application Creation
	Test::cApplication * _application = Test::cApplication::Create();

	// Application Initialization
	if (!_application->Initialize(_hInstance, "Boggle Solver - Gordon Lee - Engineering Test"))
		return -1;

	// Application Run Loop
	_application->Run();

	// Cleanup
	_application->Destroy();

	return 0;
}
////////////////////////////////////////////////////////////////////////////////
